﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Shared;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System.Collections;


namespace CustomerSortComparer
{
    class MySortComparer: IComparer
    {
        internal MySortComparer()
        {
        }

        #region IComparer Members

        public int Compare(object x, object y)
        {
            // Passed in objects are cells. So you have to typecast them to UltraGridCell objects first.
            UltraGridCell xCell = (UltraGridCell)x;
            UltraGridCell yCell = (UltraGridCell)y;

            // Do your own comparision between the values of xCell and yCell and return a negative 
            // number if xCell is less than yCell, positive number if xCell is greater than yCell, 
            // and 0 if xCell and yCell are equal.

            // Following code does an case-insensitive compare of the values converted to string.
            string text1 = xCell.Value.ToString();
            string text2 = yCell.Value.ToString();

            return String.Compare(text1, text2, true);
        }

        #endregion
    }
}
